# Use the official MariaDB image based on Alpine
FROM mariadb:latest

# Environment variables for MariaDB
ENV MARIADB_ROOT_PASSWORD=GGUnCA9hyCTN4KYaJEKXnuQT

# Copy your SQL scripts from the root directory
COPY ./sql/ /tmp/

# Add a script to create the database in the correct order
COPY ./import-sql.sh /docker-entrypoint-initdb.d/


# Grant execution permissions to the script
RUN chmod +x /docker-entrypoint-initdb.d/import-sql.sh
